package transport;

import icsTables.ICSTableModel;

import org.w3c.dom.Document;

/**
 * Models an ICS transport table
 * @author maria cherkaoui
 *
 */
public class ICSTransportTableModel extends ICSTableModel{

	 /** Creates a new instance of ICSTableMOCAttribute 
     * @param strXMLFile
     * */
    public ICSTransportTableModel( String strXMLFile) {
        super(strXMLFile);
        init();
    }
    
    /**
     * Creates a new instance of ICSTableMOCAttribute
     */
    public ICSTransportTableModel()
    {
        super();
        init();
    }
    /**
     * @see icsTables.ICSTableModel#init()
     */
    public void init()
    {
       strTitle = "Transport ICS";
        strTableName = "";
        strDescription = "Statements of conformances for transport profiles.";
        strXsltFileName = "..\\xsd\\TransportICS.xsd";
        strDefaultXmlFile = "..\\xml\\TransportICS.xml";
    }
    /** Creates a new instance of ICSTableMOCAttribute 
     * @param doc
     * */
    public ICSTransportTableModel( Document doc) {
        super(doc);
        init();
    }

}
